Subject: Re: ATM firestream bug

From: Mitchell Blank Jr <[email-masked]>
Date: Sun, 1 Oct 2006 08:10:41 -0700

Jeff Garzik wrote:
> 1) not safe on 64-bit

Almost certainly correct.  Probably never will be -- IIRC this SAR was
mainly used in embedded apps.  I don't know if any commercially-available
PCI cards were ever made with it.  I could be wrong though, it's been awhile
since I was up on the ATM industry.

> 2) variable 'tmc0' is indeed potentially used uninit'd, in particular if 
> make_rate() returns an error (use occurs before error check).

Exact same error as the one you spotted in ambassador.c -- make_rate()'s
error is not checked at all.  It should be.

-Mitch